FRAMEWORKS = [
    ('Actix', 'tcc-actix'),
    ('ASP.NET', 'tcc-aspnet'),
    ('Flask', 'tcc-flask'),
    ('Express', 'tcc-express'),
]

ENDPOINTS = {
    'Actix': 'http://localhost:9083',
    'ASP.NET': 'http://localhost:9081',
    'Flask': 'http://localhost:9082',
    'Express': 'http://localhost:9084',
}

BLUR_RADIUS = 5
AVG_RUNS = 3

API_REQUESTS = [
    ('/status/ok', 'GET', range(0, 30_000, 5000), None),
    ('/image/save-big-image', 'POST', range(0, 10_000, 1_000), open('big-image.png', 'rb').read()),
    (f'/image/blur?radius={BLUR_RADIUS}', 'POST', range(0, 1_000, 50), open('small-image.png', 'rb').read()),
    ('/image/load-small-image', 'GET', range(0, 30_000, 5000), None),
    ('/static/small-image.png', 'GET', range(0, 30_000, 5000), None),
    ('/image/load-big-image', 'GET', range(0, 500, 50), None),
    ('/static/big-image.png', 'GET', range(0, 500, 50), None),
    ('/static/video.mp4', 'GET', range(0, 10_000, 1_000), None),
]